import { ExternalLink } from 'react-feather';
import ApiCallBlockRenderer from './ApiCallBlockRenderer';
import ApiCallBlockConfigurator from './ApiCallBlockConfigurator';
var apiCallModule = {
    description: "\nThis module add ability to call external APIs to populate the current context.\n",
    version: '0.1.3',
    schema: {},
    defaults: {
        label: 'API call',
        settings: {
            method: 'GET',
            url: '',
            contextKey: 'apiData',
            enableTemplating: false,
        }
    },
    icon: ExternalLink,
    renderer: ApiCallBlockRenderer,
    configurator: ApiCallBlockConfigurator,
    shouldAddChild: function () { return true; },
    shouldBeAdded: function () { return true; }
};
export default apiCallModule;
