var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React from 'react';
import { Field } from 'formik';
import { FormGrid, FieldLabel, TextField } from '@compoz/ui';
var ApiCallBlockConfigurator = function (_a) {
    var block = _a.block;
    return (React.createElement(FormGrid, { style: {
            gridTemplateColumns: '1fr 3fr',
            maxWidth: '600px'
        } },
        React.createElement(Field, { name: "settings.method", render: function (_a) {
                var field = _a.field, form = _a.form;
                return (React.createElement(React.Fragment, null,
                    React.createElement(FieldLabel, null, "method"),
                    React.createElement(TextField, __assign({ type: "text" }, field)),
                    form.touched.method && form.errors.method && form.errors.method));
            } }),
        React.createElement(Field, { name: "settings.url", render: function (_a) {
                var field = _a.field, form = _a.form;
                return (React.createElement(React.Fragment, null,
                    React.createElement(FieldLabel, null, "url"),
                    React.createElement(TextField, __assign({ type: "text" }, field)),
                    form.touched.url && form.errors.url && form.errors.url));
            } }),
        React.createElement(Field, { name: "settings.contextKey", render: function (_a) {
                var field = _a.field, form = _a.form;
                return (React.createElement(React.Fragment, null,
                    React.createElement(FieldLabel, null, "contextKey"),
                    React.createElement(TextField, __assign({ type: "text" }, field)),
                    form.touched.contextKey && form.errors.contextKey && form.errors.contextKey));
            } }),
        React.createElement(FieldLabel, null, "enable templating"),
        React.createElement(Field, { name: "settings.enableTemplating", render: function (_a) {
                var field = _a.field, form = _a.form;
                return (React.createElement("div", null,
                    React.createElement("input", __assign({ type: "checkbox" }, field)),
                    form.touched.enableTemplating && form.errors.enableTemplating && form.errors.enableTemplating));
            } })));
};
export default ApiCallBlockConfigurator;
